[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdCtrls' (#lcl)

# TCheckBox.Create

Constructor for the class instance.

## Declaration

Source position: stdctrls.pp line 1372

`public constructor TCheckBox.Create(`
`TheOwner: TComponent`
`); override;`

## Arguments

`TheOwner` |  | Owner of the class instance.

## Description

Create is the overridden constructor for the class instance, and calls the inherited method on entry. Creates sets the internal component style for the control to csCheckbox, and sets the default values for properties including TabStop (True) and AutoSize (True).